package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TEhskpinew;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * KPI统计及格Service接口
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public interface ITEhskpinewService
{
    /**
     * 查询KPI统计及格
     *
     * @param id KPI统计及格ID
     * @return KPI统计及格
     */
    public TEhskpinew selectTEhskpinewById(Long id);

    /**
     * 查询KPI统计及格列表
     *
     * @param tEhskpinew KPI统计及格
     * @return KPI统计及格集合
     */
    public List<TEhskpinew> selectTEhskpinewList(TEhskpinew tEhskpinew);

    /**
     * 新增KPI统计及格
     *
     * @param tEhskpinew KPI统计及格
     * @return 结果
     */
    public int insertTEhskpinew(TEhskpinew tEhskpinew);

    /**
     * 修改KPI统计及格
     *
     * @param tEhskpinew KPI统计及格
     * @return 结果
     */
    public int updateTEhskpinew(TEhskpinew tEhskpinew);

    /**
     * 批量删除KPI统计及格
     *
     * @param ids 需要删除的KPI统计及格ID
     * @return 结果
     */
    public int deleteTEhskpinewByIds(Long[] ids);

    /**
     * 删除KPI统计及格信息
     *
     * @param id KPI统计及格ID
     * @return 结果
     */
    public int deleteTEhskpinewById(Long id);

    void dealKPI(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run);
}
